class Inventory:
    def __init__(self, item_db : dict):
        self.items = []
        self.item_db = item_db

    def add_item(self, item):
        self.items.append(item)
    
    def get_items(self):
        return self.items

    def get_item(self, name : str) -> None|dict:
        lname = name.lower().strip()
        if lname in self.item_db and lname in self.items:
            return self.item_db[lname]
        else:
            return None